Escala Logaritmica

Ver el tema anterior Ver el tema siguiente Ir abajo

Escala Logaritmica

Mensaje por eliasp el Lun Abr 04, 2016 9:00 pm

Que tal señores, buen día para todos.

Resulta ser que voy a necesitar hacer varias gráficas en escala semi-logarítmica. El punto es, si alguien ha hecho gráficas de este tipo en autocad. Ya se que en Excel se puede, pero.... como que no me da la libertad que necesito y además, como voy a "leer" valores de la gráfica, es mas preciso (según yo) hacerlo en autocad. Anexo un jpg con una gráfica de Excel, se requiere obtener el valor de Y cuando X=25. Como podrán observar, por éste método es un tanto mas incómodo.

Saludos

https://dl.dropboxusercontent.com/u/58052688/grafica.jpg

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por Admin el Mar Abr 05, 2016 2:34 am

Hola Elias.
Como siempre, por siempre, y para siempre:

Sube los datos , y el dwg.

Predicar en el desierto es duro, pero basta que UNO solo se adapte.



Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por eliasp el Mar Abr 05, 2016 2:41 am

Maestro.... no hay dwg, lo quiero crear..... Tal vez si (y digo tal vez) me hizo falta decir los datos, pero como se trata de hacer "papel semilogaritmico", para sobre él graficar. Lo que quiero es que sobre una escala semilogaritmica poder graficar de acuerdo a la imagen que subí. Si quieres los datos, estos son, aunque no creo que te hagan falta....
(7,149) (14,145)(24,142)(35,138)(45,140). (x,y) (x= logarítmica)(y=decimal)

Éstos son los datos con que se cuenta, entonces hacer esa gráfica y leer cuando x=25, que valor de y corresponde.

Espero haber sido claro.

Saludos y Gracias

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por Admin el Mar Abr 05, 2016 2:45 am

Claro, pero no suficiente .

Sube los datos en formato csv , y el dwg base .



Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por Admin el Mar Abr 05, 2016 3:14 am

Este puede ser un primer paso


dibuja papel logaritmico

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por nolo el Mar Abr 05, 2016 4:04 pm

Espero te sirva la rutina que el Master Devitg dejó en este post de hispacad (creo que no se acuerda de él).
Esta impreso en pdf en mi dropbox y aquí te adjunto las referencias que dan los compañeros

wikipedia
análisis gráficos
cadtutos


El archivo es : HispaCAD.com • Ver Tema - HACER GRAFICAS A ESCALA O ESCALA LOGARITMICA.pdf
<en el Dropbox Nolo>

Un saludo

PD. Lo siento Gabriel, no me di cuenta que detrás del comentario estaba el enlace ...


Última edición por nolo el Mar Abr 05, 2016 4:31 pm, editado 1 vez

nolo

Mensajes : 100
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por jademar el Mar Abr 05, 2016 4:13 pm

Hola a tod@s

eliasp: Por lo que veo, tu gráfica es semilogarítmica: Eje X logaritmica, Eje Y "común"

1ra elección
Quiero que en el eje X, el segmento 1-10 ocupe 12cm en el papel impreso (o lo que tú quieras, pero hay que elegir alguna distancia antes que nada)

Listo, a partir de allí, como el  logaritmo decimal de 1 es 0, allí esta el origen de la gráfica. Dibujo una vertical que representa el eje Y, de unos 7cm en el papel impreso (2da elección arbitraria, tú pon lo que quieras para representar el tramo entre 136 y 150)

La primera subdivisión corresponde al 2. Como el logaritmo de 2 es 0,303, en Autocad hago un offset del eje Y a la derecha, con un valor de 0,303 x 12 =  3,636 unidades de dibujo

La segunda subdivisión es 3. Como el logaritmo de 3 es 0,477, en Autocad hago un offset del eje Y a la derecha, con un valor de 0,477 x 12 =  5,724 unidades de dibujo

La tercera subdivisión es 4. Como el logaritmo de 4 es 0,602, en Autocad hago un offset del eje Y a la derecha, con un valor de 0,602 x 12 =  7,225 unidades de dibujo

Y así sucesivamente. Los logaritmos los consigues colocando en Google log 5 y picas en la lupa

Finalmente, el logaritmo decimal de 10 es 1, así que para la décima  vertical, el offset es de 1 x 12 = 12 unidades de dibujo.

Y a partir de allí, la división siguiente (20) está a la misma distancia de 10, que 2 está desde 1. Así que para el tramo que sigue (y que tú muestras incompleto, hasta 50 en el eje X) te limitas a copiar y pegar las 4 verticales que corresponden a 2, 3, 4 y 5 con punto origen en 1 y punto destino en 10, obteniendo las divisiones 20, 30, 40 y 50.

Listo, lo que queda es Autocad puro, imprimir en papel un rectángulo de 20,38 x 7

Verás que las divisiones son irregulares (hay mucha distancia entre el 1 y el 2 y muy poquita entre el 9 y el 10) peeeeeeeero la gran ventaja de la representación logaritmica es que permite graficar en X valores entre 1 y 50  de manera legible en sólo 20 cm de ancho.

Saludos


Última edición por jademar el Mar Abr 05, 2016 4:52 pm, editado 1 vez

jademar

Mensajes : 12
Fecha de inscripción : 03/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por jademar el Mar Abr 05, 2016 4:47 pm

Hola de nuevo

Como log 25 = 1,398 la coordenada 25 estará a 1,398 x 12 = 16,77 medidos desde el origen 1.

Saludos

jademar

Mensajes : 12
Fecha de inscripción : 03/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por eliasp el Mar Abr 05, 2016 5:47 pm

A ver mis estimados:
Maestro: Adjunto el CSV con los datos de la primera gráfica. Obviamente van a ser "pinchemil".... por eso me interesa mucho el proceso de crear la hoja semilogarítmica. En la rutina que adjuntaste como primer paso... "parece ser lo bueno" pero en esta función hace falta "algo"
Código:

(defun dibuja-lineas-horizontales ( cm    )
  (setq cm 16)
  (setq cant (* cm 5.0))
  (setq num-h-lst nil)
  (repeat cant
    (setq pt
      )
    )
  )
NOLO: Ya vi los enlaces.... están "de lujo" de hecho, ahí está la misma rutina del maestro devitg, con el mismo problema. Y una explicación de como crear la hoja "paso a paso".... por lo pronto y en calidad de mientras, la voy a hacer así, esperando que el maestro complete su rutina... sería muy, muy interesante poder hacer una rutina que inicie, por ejemplo pidiendo el archivo CSV con las coordenadas, analice los valores mas alto y bajo... y creé la gráfica en la hoja, si tengo tiempo, empezaré a ver como me va.
Jademar: Tu explicación también está muy clara, te agradezco.

En resumen.... mientras el maestro completa la rutina, voy a hacer la hoja "a mano"....

Saludos a todos y gracias....

https://dl.dropboxusercontent.com/u/58052688/grafica1.csv

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por jademar el Mar Abr 05, 2016 9:50 pm

Hola a tod@s

eliasp: En 7 horas te estoy pasando una rutina que funciona para gráficos semilogarítmicos, que hoy al mediodía no pude enviarte con dropbox.

Saludos

jademar

Mensajes : 12
Fecha de inscripción : 03/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por eliasp el Miér Abr 06, 2016 12:23 am

Perfecto Jademar, la esperaré....

Saludos y gracias

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por jademar el Miér Abr 06, 2016 5:14 am

Hola a tod@s

eliasp: Va código prometido, tomado del cadtutor forum

Código:
; TIP779.LSP   Semilog Graph   (c)1992, Watson Kilbourne
;;; ***** SEMI-LOG.LSP *****  Watson Kilbourne  2-10-92
;;;
;;; Creates semi-log graph chart within user defined area.
;;;
(defun c:SLOG (/ OM CE BM CL X1 Y2 D1 A1 X2 Y1
                  D2 HS NH D3 D4 VS NV D5 E1 E2 E3
                  P1 P2 AH LH E4 P3 P4 AV LV P5)
   (setq OM (getvar "OSMODE")) (setvar "OSMODE" 0)
   (setq CE (getvar "CMDECHO")) (setvar "CMDECHO" 0)
   (setq BM (getvar "BLIPMODE")) (setvar "BLIPMODE" 0)
   (setq CL (getvar "CLAYER")
      X1 (getpoint "\nEnter first corner: ")
      Y2 (getcorner X1 "\nEnter opposite corner: ")
      D1 (distance X1 Y2)
      A1 (angle X1 Y2)
      X2 (polar X1 0.0 (* D1 (cos A1)))
      Y1 (polar Y2 pi (* D1 (cos A1)))
      D2 (distance X1 Y1)
   )
   (setq HS (getint
            "\nEnter number of horizontal log sections <3>: "))
   (if (= HS nil) (setq HS 3))
   (setq NH (+ HS 1)
      D3 (/ D2 HS)
      D4 (distance X1 X2)
   )
   (setq VS (getint "\nEnter number of vertical spaces <4>: "))
   (if (= VS nil) (setq VS 4))
   (setq NV (+ VS 1)
      D5 (/ D4 VS)
   )
   (command "LAYER" "N" "GRID" "C" "BLUE" "GRID" "S" "GRID" "")
   (if (and (> A1 0.0) (< A1 pi))
      (command "LINE" X1 X2 "")
      (or (if (= nil) (command "LINE" Y1 Y2 "")))
   )
   (setq E1 (entlast))
   (command "ARRAY" E1 "" "R" NH "1" D3)
   (if (and (> A1 (* 0.5 pi)) (< A1 (* 1.5 pi)))
      (command "LINE" X2 Y2 "")
      (or (if (= nil) (command "LINE" X1 Y1 "")))
   )
   (setq E2 (entlast))
   (command "ARRAY" E2 "" "R" "1" NV D5)
   (setq E3 (entget E1)
      P1 (cdr (assoc 10 E3))
      P2 (cdr (assoc 11 E3))
      AH (angle P1 P2)
      LH (distance P1 P2)
      E4 (entget E2)
      P3 (cdr (assoc 10 E4))
      P4 (cdr (assoc 11 E4))
      AV (angle P3 P4)
      LV (distance P3 P4)
   )
   (if (> AV pi) (setq P3 P4))
   (setq P5 (polar P3 0.0 LH))
   (command "LAYER" "N" "LOG" "C" "RED" "LOG" "S" "LOG" "")
   (repeat HS
      (foreach NU
         '(0.3010299957 0.4771212547 0.6020599913 0.6989700043
         0.7781512504 0.84509804 0.903089987 0.9542425094)
         (command "LINE" (polar P3 (/ pi 2) (* NU (/ LV HS)))
         (polar P5 (/ pi 2) (* NU (/ LV HS))) "")
      )
      (setq P3 (polar P3 (/ pi 2) (/ LV HS)))
      (setq P5 (polar P5 (/ pi 2) (/ LV HS)))

   )
   (command "LAYER" "S" CL "")
   (setvar "OSMODE" OM)
   (setvar "CMDECHO" CE)
   (setvar "BLIPMODE" BM)
   (princ)
);end

jademar

Mensajes : 12
Fecha de inscripción : 03/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por eliasp el Miér Abr 06, 2016 6:03 pm

Gracias Jademar, con esto por ahora salgo de mi problema.

Aunque me está "haciendo ojitos" la posibilidad de graficar junto con la generación de la hoja en fin, tiempo al tiempo.

Saludos y gracias

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Cambio de base de un Logaritmo

Mensaje por Admin el Miér Abr 06, 2016 7:41 pm

Para sacar los logaritmos en base 10 del 2 al 9

Código:

;; para sacar los LOG base 10 del 2 al 9
                  
(defun log10 (n)
  (/ (log n ) (log 10))
  )

(defun log-2-al-9-base-10 ()

(setq log-2a9-list ())
(setq n 2)
(repeat 8
(setq log-2a9-list( cons (log10 n) log-2a9-list))
(setq n (1+ n))
)
(reverse log-2a9-list)
)

(setq log-list (log-2-al-9-base-10))


Resulta

Código:
(0.30103 0.477121 0.60206 0.69897 0.778151 0.845098 0.90309 0.954243)

Y trabaja con toda la precisión de ACAD.

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

ya tienes el camino

Mensaje por Admin el Miér Abr 06, 2016 7:43 pm

Elias , aquí va una parte se la solución


Código:
(defun log10 (n)
  (/ (log n ) (log 10))
  )






Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por Admin el Miér Abr 06, 2016 11:52 pm

Elias esto es lo que resulta de los datos

en LOGx -- y en X-Y

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por Admin el Jue Abr 07, 2016 1:00 am

Y aquí con los ejes que corresponden a x=25


CON EJE X igual 25

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por eliasp el Vie Abr 08, 2016 6:18 am

Bien señores. Luego de varios días sin internet en la oficina (y aún no hay). Esta rutina es a lo que llegué. Por lo pronto hace la hoja tamaño carta, en vertical y/u horizontal.

Código:

(vl-load-com)
(defun INICIO ()
  (setvar "modemacro" "Ing. José Elías Pelayo")
  (setvar "osmode" 0)
  (setvar "cecolor" "bylayer")
  (setvar "clayer" "0")    
  (setq oldDZin (getvar "dimzin"))
  (setvar "dimzin" (logand oldDZin (~ 8)))
  (setq acadobj(vlax-get-acad-object))
  (setq acaddoc(vla-get-activedocument acadobj))
  (setq acadesp(vla-get-modelspace acaddoc))
  (setq appa  (VLA-GET-APPLICATION acaddoc))
  (setq styles-collection ( vla-get-textstyles acaddoc))
  (vl-cmdf "_-style" "nombredeestilo" "verdana" "0" "1" "0" "_no" "_no");-- esto tambien se hace con VL
  (setvar 'textstyle "nombredeestilo")
  (setq nombre(getvar "dwgname"))
  (setq ruta(getvar "dwgprefix"))
  (setq echo(getvar "cmdecho"))
  (setq ucsi(getvar "ucsicon"))
  (setvar "ucsicon" 0)
  (SETVAR "cmdecho" 0)
  ;------------
  )
;----------------------------------------------------------
(defun horizontal()
  (setq fin(list 26 20)
   pasox(/ 25.0 renglones)
   pasoy(/ 19.0 ciclos )
   pasox2 pasox
   pasoy2 pasoy
   )  
  (repeat ciclos
    (setvar "cecolor" "7")
    (setq l1(vla-addline acadesp (vlax-3d-point xini)(vlax-3d-point(polar xini 0 25))))
    (foreach valor '(2 3 4 5 6 7 8 9)
      (setq linea(vlax-invoke-method l1 'copy))
      (setq dista(/(log valor)divisor))
      (setq x3(polar origen (* pi 0.5)(* dista pasoy)))
      (vlax-invoke-method linea "move"(vlax-3d-point origen)(vlax-3d-point x3))
      (vla-put-color linea 8)
      )
    (setq xini(polar xini (* pi 0.5) pasoy))
    );repeat ciclos
  (setvar "cecolor" "7")
  (setq l2(vla-addline acadesp(vlax-3d-point origen)(vlax-3d-point(polar origen (* pi 0.5)19))))
  (repeat renglones
    (setq linea(vlax-invoke-method l2 'copy)
     x4(polar origen 0 pasox2)
     )
    (vlax-invoke-method linea "move"(vlax-3d-point origen)(vlax-3d-point x4))
    (setq pasox2(+ pasox2 pasox))    
    );repeat renglones
  
  (vl-cmdf "_rectang" (list 0 0)(list 27.09 20.75))
  (vl-cmdf "_rectang" origen fin)
  (Vla-ZoomExtents appa)
  )
;----------------------------------------------------------
(defun vertical()
  (setq fin(list 20 26))
  (setq pasox(/ 19.0 ciclos)
   pasoy(/ 25.0 renglones)
   pasox2 pasox
   pasoy2 pasoy
   )
  (repeat ciclos
    (setvar "cecolor" "7")
    (setq l1(vla-addline acadesp (vlax-3d-point xini)(vlax-3d-point(polar xini (* pi 0.5)25))))
    (foreach valor '(2 3 4 5 6 7 8 9)
      (setq linea(vlax-invoke-method l1 'copy))
      (setq dista(/(log valor)divisor))
      (setq x3(polar origen 0 (* dista pasox)))
      (vlax-invoke-method linea "move"(vlax-3d-point origen)(vlax-3d-point x3))
      (vla-put-color linea 8)
      )
    (setq xini(polar xini 0 pasox))    
    );repeat ciclos
  (setvar "cecolor" "7")
  (setq l2(vla-addline acadesp (vlax-3d-point origen)(vlax-3d-point(polar origen 0 19))))
  (vla-put-lineweight l2 0.09)
  (repeat renglones
    (setq linea(vlax-invoke-method l2 'copy)
     x4(polar origen (* pi 0.5) pasoy2)
     )
    (vlax-invoke-method linea "move"(vlax-3d-point origen)(vlax-3d-point x4))
    (setq pasoy2(+ pasoy2 pasoy))
    );repeat renglones
  (vl-cmdf "_rectang" origen fin)
  (vl-cmdf "_rectang" (list 0 0)(list 20.75 27.09))
  )
;----------------------------------------------------------
(defun c:hojasemi()
  (inicio)
  (setq origen(list 1 1)
   divisor(log 10)
   xini origen
   )
  (initget 6)
  (setq ciclos(getint "\n Número de Ciclos...<4>:"))
  (if(= ciclos nil)(setq ciclos 4))
  (setq renglones(getint "\n Número de Líneas Horizontales...<25>:"))
  (if(= renglones nil)(setq renglones 25))  
  (initget 129 "Vertical Horizontal")
  (/=(setq texto (getkword "\n Orientación de la Hoja [Vertical Horizontal] <Vertical>: "))NIL)
  (If (and
   (/= texto "Vertical")
   (/= texto "Horizontal")
   )
    (setq texto "Vertical")
    )
  (initget 129 "Vertical Horizontal")
  (if(= texto "Horizontal")
    (horizontal)
    (vertical)
    )
  (Vla-ZoomExtents appa)
  (SETVAR "cmdecho" echo)
  (setvar "ucsicon" ucsi)
  )
(princ "Comando Cargado...Ejecutar con HOJASEMI")
Por lo pronto voy a descargar lo que me envían para verlo mañana en la oficina. Espero que ya mañana regrese el internet y estar en contacto.

Saludos y gracias

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

papel logaritmico

Mensaje por Admin el Vie Abr 08, 2016 1:31 pm

Pidiendo permiso a Eliasp , adjunto resultado del lisp


papel logaritmico en eje x

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por jademar el Vie Abr 08, 2016 2:18 pm

Hola a tod@s

eliasp: Probada en Acad 2007 inglés. Muy buena y muchas gracias por compartirla.

Saludos

jademar

Mensajes : 12
Fecha de inscripción : 03/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por eliasp el Lun Abr 11, 2016 6:35 pm

Buen día a todo el foro.

Primero que nada, feliz porque ya regresó el internet.

https://dl.dropboxusercontent.com/u/58052688/Semilog%204-25.dwg

En el enlace que comparto, encontrarán el resultado final al que deseo llegar. La gráfica la hice "a mano" pero el objetivo de crear el papel logarítmico es, precisamente crear la gráfica. Ahora, el primer punto que debo resolver (que estaba resuelto en el anterior foro) es obtener los valores máximo y mínimo de las Y de las coordenadas dadas (CSV subido anteriormente). Tengo una función para obtener esos valores pero de una lista "plana".... y ahora tengo coordenadas. Bien, la idea de obtener los máximos y mínimos es poder ubicar la gráfica "mas o menos" al centro de la hoja. En el ejemplo, la menor Y de las coordenadas es 138, y yo parto del 135. El mayor valor de la Y es 149 y llego al 150. Las "X" se ubican sin problema.
Entonces, la pregunta - consulta concreta: Me ayudan a encontrar el máximo y mínimo  de las Y's. Me gustaría llegar al final a algo así: Preguntar por el CSV con las coordenadas (que ya lo hago), preguntar por los valores de la hoja y.... zaz!!! la gráfica.

Saludos y gracias.

De código, llevo esto:
Código:

(DEFUN str-div  (str c / i l) ;_01
  (SETQ i 1)
  (SETQ l (STRLEN str))
  (WHILE (AND (<= i l) (/= (SUBSTR str i 1) c))(SETQ i (1+ i)))
  (LIST (SUBSTR str 1 (1- i)) (SUBSTR str (1+ i))))
;;---------------
(DEFUN str-tok  (str c / tmp) ;_01
  (IF (/= str "")(PROGN(SETQ tmp (str-div str c))(APPEND (LIST (CAR tmp)) (str-tok (CADR tmp) c)))))
;;---------------
(DEFUN lee-csv()
  (SETQ linea-list nil)
  (SETQ nombre-archivo (GETFILED "Archivo donde estan  los datos " "C:\"" "csv" 0))
  (SETQ ar (OPEN nombre-archivo "r"))
  (WHILE
    (SETQ linea (READ-LINE ar))
    (SETQ datos (str-tok linea ","))
    (SETQ linea-list (CONS datos linea-list)))
  (CLOSE ar)
  (setq linea-list(REVERSE linea-list))
  )

(defun c:graflogarit()
  (alert "Selecciona el Archivo CSV a graficar....")
  (setq ind 0)
  (lee-csv)
  (setq cuantos(length linea-list))
  (repeat cuantos
    (setq x0(distof(car (nth ind linea-list))))
    (setq desf(* pasox(/(log x0)(log 10))))
    (setq punto(polar origen 0 desf))
    (setq circulo(vla-addcircle acadesp (vlax-3d-point punto) 0.1))
    (vla-put-color circulo 3)
    (setq ind(1+ ind))
    )
  )

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

¿algo asi?

Mensaje por Admin el Lun Abr 11, 2016 7:40 pm

Algo así , si Ymaximo = entero en 10 100 1000 sale ese entero , false ymaximo + 1

Si Y min = entero en 10 100 1000 sale ese entero , false  Y-minimo -1


DWG Y CSV
Archivos
algo asi-grafica logaritmica en x-1 - Standard.zip No tienes los permisos para descargar los archivos.(19 KB) Descargado 3 veces

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por Admin el Lun Abr 11, 2016 7:41 pm

Las escalas está en 1

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

en espacio papel

Mensaje por Admin el Lun Abr 11, 2016 7:51 pm

EN ESPACIO PAPEL

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Escala Logaritmica

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.